@media (max-width: 2400.98px) {
  .container {
    padding: 0 100px;
  }

  .main__voucher {
    top: 230px;
    left: 35%;
  }
}

@media (max-width: 1900.98px) {
  .container {
    padding: 0 60px;
  }

  .hero__content h1 {
    font-size: 100px;
  }

  .hero__content p {
    font-size: 32px;
  }

  .hero__content {
    max-width: 500px;
  }

  .hero__logo {
    top: 260px;
    width: 233px;
  }

  .hero-pack-image {
    width: 377px;
    top: 200px;
    left: calc(100% - 60px);
  }

  .wziac__items {
    flex-direction: column;
    max-width: 530px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 64px;
  }

  .wziac .custom-btn {
    margin-top: 64px;
  }

  .additional__items {
    flex-direction: column;
  }
}

@media (max-width: 1279.98px) {
  .container {
    padding: 0 44px;
  }

  .hamburger-container {
    min-height: 100vh;
  }

  .view--desktop {
    display: none;
  }

  .view--mobile {
    display: block;
  }

  .hero__logo {
    top: 0;
    left: 50%;
    max-width: 157px;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
  }

  .hero__content h1 {
    font-size: 60px;
  }

  .hero__content p {
    font-size: 20px;
    margin-top: 30px;
  }

  .hero__content {
    max-width: 337px;
  }

  .hero {
    height: auto;
    min-height: 970px;
    display: block;
    padding-top: 320px;
  }

  .hero-pack-image {
    width: 224px;
    top: calc(100% + 34px);
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
  }

  .heading-style__text {
    font-size: 40px;
  }

  .heading-style__text span {
    font-size: 24px;
  }

  .main__voucher {
    left: 26%;
  }

  .additional__item--1 {
    max-width: 344px;
  }

  .additional__item--2 {
    max-width: 479px;
  }

  .additional__item {
    height: 595px;
  }

  .additional__items {
    gap: 290px;
    margin-top: 290px;
  }

  .label--dodatkowe {
    left: 50%;
    top: auto;
    bottom: calc(100% - 40px);
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
  }

  .additional__item--2 .label--dodatkowe {
    bottom: calc(100% - 60px);
  }

  .custom-form__inputs {
    grid-template-columns: repeat(1, 1fr);
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
  }

  .heading-style__line {
    width: fit-content;
    height: 24px;
  }

  .form-modal {
    padding: 44px;
  }

  .navbar__toggler-area {
    display: block;
  }

  .header {
    padding: 0;
  }

  .header .container {
    display: none;
  }

  .header--mobile-show .container {
    display: block;
  }

  .header--mobile-show {
    background: rgba(0, 0, 0, 0.92);
    position: fixed;
    height: 100vh;
    padding-top: 200px;
  }

  .header--mobile-show .navbar__links {
    background: transparent;
    border: 0;
    padding: 0;
  }

  .navbar__link {
    color: #fff;
    font-size: 24px;
  }

  .navbar__links {
    flex-direction: column;
    gap: 60px;
  }

  .navbar__link::after {
    top: auto;
    bottom: -30px;
    right: auto;
    left: 50%;
    width: 24px;
    height: 3px;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
    -moz-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    -o-transform: translate(-50%, 0);
  }
}

@media (max-width: 767.98px) {
  body {
    font-size: 18px;
  }

  .container {
    padding: 0 23px;
  }

  .hero__logo {
    max-width: 108px;
  }

  .hero {
    padding-top: 280px;
    top: 0;
    position: absolute;
  }

  .main__bg {
    height: auto;
    aspect-ratio: 375/565;
  }

  .main__voucher {
    width: 198px;
    height: 198px;
    top: -75px;
    left: auto;
    right: 72px;
    transform: translateX(0);
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
  }

  .additional__item--1 {
    max-width: 262px;
  }

  .additional__item {
    height: 452px;
  }

  .additional__item--2 {
    max-width: 291px;
    height: 361px;
  }

  .footer__links {
    flex-direction: column;
  }

  .footer__links li:nth-child(1) {
    order: 2;
  }

  .footer__links li::after {
    top: auto;
    left: 50%;
    bottom: -17px;
    width: 14px;
    height: 2px;
    transform: translate(-50%, 0);
    -webkit-transform: translate(-50%, 0);
    -moz-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    -o-transform: translate(-50%, 0);
  }

  .navbar {
    top: 170px;
  }

  .footer__links li:last-child::after {
    display: block;
  }

  .footer__links li:first-child::after {
    display: none;
  }

  .form-modal {
    padding: 23px;
  }

  .form-modal__box {
    padding: 20px;
    min-height: auto;
  }

  .form-modal__content p {
    font-size: 18px;
  }

  .form-modal__heading h3 {
    font-size: 22px;
  }

  .form-modal__heading img {
    width: 36px;
    height: 36px;
  }

  .form-modal__close {
    position: absolute;
    top: 25px;
    right: 25px;
    width: 28px;
    height: 28px;
  }

  .navbar__toggler-area {
    right: 28px;
  }

  .navbar__link {
    font-size: 22px;
  }

  .heading-style__text.big-text {
    font-size: 90px;
  }

  .video-container {
    max-width: 100%;
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 950px;
  }

  #video-background {
    position: absolute;
    top: 0;
    left: -60%;
    max-height: 950px;
    overflow: hidden;
    max-width: none;
  }
}
